package com.ruoyi.app.service.impl;

import java.util.List;

import com.ruoyi.app.domain.AppTaskBak;
import com.ruoyi.app.mapper.AppTaskBakMapper;
import com.ruoyi.app.service.IAppTaskBakService;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * 【请填写功能名称】Service业务层处理
 *
 * @author ruoyi
 * @date 2025-01-15
 */
@Service
public class AppTaskBakServiceImpl implements IAppTaskBakService
{
    @Autowired
    private AppTaskBakMapper appTaskBakMapper;

    /**
     * 查询【请填写功能名称】
     *
     * @param taskId 【请填写功能名称】主键
     * @return 【请填写功能名称】
     */
    @Override
    public AppTaskBak selectAppTaskBakByTaskId(String taskId)
    {
        return appTaskBakMapper.selectAppTaskBakByTaskId(taskId);
    }

    /**
     * 查询【请填写功能名称】列表
     *
     * @param appTaskBak 【请填写功能名称】
     * @return 【请填写功能名称】
     */
    @Override
    public List<AppTaskBak> selectAppTaskBakList(AppTaskBak appTaskBak)
    {
        return appTaskBakMapper.selectAppTaskBakList(appTaskBak);
    }

    /**
     * 新增【请填写功能名称】
     *
     * @param appTaskBak 【请填写功能名称】
     * @return 结果
     */
    @Override
    public int insertAppTaskBak(AppTaskBak appTaskBak)
    {
        appTaskBak.setCreateTime(DateUtils.getNowDate());
        return appTaskBakMapper.insertAppTaskBak(appTaskBak);
    }

    /**
     * 修改【请填写功能名称】
     *
     * @param appTaskBak 【请填写功能名称】
     * @return 结果
     */
    @Override
    public int updateAppTaskBak(AppTaskBak appTaskBak)
    {
        return appTaskBakMapper.updateAppTaskBak(appTaskBak);
    }

    /**
     * 批量删除【请填写功能名称】
     *
     * @param taskIds 需要删除的【请填写功能名称】主键
     * @return 结果
     */
    @Override
    public int deleteAppTaskBakByTaskIds(String[] taskIds)
    {
        return appTaskBakMapper.deleteAppTaskBakByTaskIds(taskIds);
    }

    /**
     * 删除【请填写功能名称】信息
     *
     * @param taskId 【请填写功能名称】主键
     * @return 结果
     */
    @Override
    public int deleteAppTaskBakByTaskId(String taskId)
    {
        return appTaskBakMapper.deleteAppTaskBakByTaskId(taskId);
    }
}
